## lookatme 1.2.0

=== debian/changelog ===
lookatme (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #969658)

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 07 Sep 2020 18:07:47 +0200

## lookatme 2.3.0

=== requirements.txt ===
marshmallow>=3,<4
Click>=7,<8
PyYAML>=5,<6
mistune>=0.8,<1
urwid>=2,<3
Pygments>=2,<3

=== debian/changelog ===
lookatme (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - no longer automatically load "terminal" and "file_loader" extensions,
      which would run commands inside the documents (CVE-2020-15271).
      (Closes: #972988)
  * Drop patch applied in new upstream version.
  * Document copyright of nasa_orion.jpg.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Oct 2020 17:25:58 +0200

=== debian/control ===
Source: lookatme
Section: text
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3,
               python3-click,
               python3-marshmallow,
               python3-mistune,
               python3-pygments,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-urwid,
               python3-yaml
Standards-Version: 4.5.0
Homepage: https://github.com/d0c-s4vage/lookatme
Vcs-Git: https://salsa.debian.org/reiner/lookatme.git
Vcs-Browser: https://salsa.debian.org/reiner/lookatme
Rules-Requires-Root: no

Package: lookatme
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
Description: interactive command-line presentation tool
 lookatme is an extensible terminal-based presentation tool that renders
 Markdown documents and supports themes, syntax highlighting, live and manual
 source reloading and can embed external files and live terminals into slides.

=== debian/watch ===
version=4
https://github.com/d0c-s4vage/lookatme/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## lookatme 2.4.0

=== debian/changelog ===
lookatme (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Use GitHub tags page to search for new upstream releases.
  * Bump Standards-Version to 4.6.1.
  * Refresh patches.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 03 Oct 2022 16:06:49 +0200

lookatme (2.3.0-2) unstable; urgency=medium

  * Use mistune0, which provides the older 0.8.x version of mistune.
    (Closes: #1003569, #1002254)
  * Bump Standards-Version to 4.6.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 25 Feb 2022 18:46:23 +0100

## lookatme 2.4.1

=== debian/changelog ===
lookatme (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 16 Oct 2022 19:46:21 +0200

## lookatme 2.5.4

=== requirements.txt ===
marshmallow>=3.17.0,<4
Click>=7,<9
PyYAML>=5,<6
mistune>=0.8,<1
urwid>=2,<3
Pygments>=2,<3

=== debian/changelog ===
lookatme (2.5.4-3) unstable; urgency=medium

  * Fix runtime AttributeError. (Closes: #1061029)
  * Bump Standards-Version to 4.7.0.
  * Add python3-six as build-dependency for tests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 06 Oct 2024 16:30:16 +0200

lookatme (2.5.4-2) unstable; urgency=medium

  * Adjust requirements.txt so that correct mistune dependency gets generated.
  * Bump Standards-Version to 4.6.2.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 24 Aug 2023 20:49:07 +0200

lookatme (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 27 Oct 2022 19:06:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                python3,
                python3-click,
                python3-marshmallow,
-               python3-mistune,
+               python3-mistune0,
                python3-pygments,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-setuptools,
+               python3-six <!nocheck>,
                python3-sphinx,
                python3-urwid,
                python3-yaml
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/d0c-s4vage/lookatme
 Vcs-Git: https://salsa.debian.org/reiner/lookatme.git
 Vcs-Browser: https://salsa.debian.org/reiner/lookatme

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=lookatme

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	$(MAKE) -C docs html

execute_after_dh_clean:
	$(MAKE) -C docs clean
